----------------------------------------------------------------------------
MainColor = Utils.Random({ HSLColor.Yellow, HSLColor.LightYellow, HSLColor.Orange, HSLColor.DarkOrange, HSLColor.Red, HSLColor.OrangeRed, HSLColor.DarkRed, HSLColor.Blue, HSLColor.LightBlue, HSLColor.DarkBlue, HSLColor.Gray, HSLColor.LightGray, HSLColor.DarkGray, HSLColor.Green, HSLColor.LawnGreen, HSLColor.LimeGreen, HSLColor.LightGreen, HSLColor.DarkGreen, HSLColor.Cyan, HSLColor.LightCyan, HSLColor.DarkCyan, HSLColor.Lime, HSLColor.Aqua, HSLColor.Fuchsia, HSLColor.Gold, HSLColor.Brown, HSLColor.Magenta, HSLColor.Maroon, HSLColor.Navy, HSLColor.Olive, HSLColor.Purple, HSLColor.Salmon, HSLColor.SkyBlue, HSLColor.Teal, HSLColor.White })
----------------------------------------------------------------------------
ComputerMissionTextColor = HSLColor.LawnGreen
----------------------------------------------------------------------------
ColorTick = function()
----------------------------------------------------------------------------
	RandomColorTypes =
	{
		HSLColor.New(Utils.RandomInteger(220, 230), Utils.RandomInteger(230, 240), Utils.RandomInteger(240, 250)),
		HSLColor.New(Utils.RandomInteger(50, 60), Utils.RandomInteger(1, 255), Utils.RandomInteger(160, 176)),
		HSLColor.New(Utils.RandomInteger(66, 250), Utils.RandomInteger(206, 222), Utils.RandomInteger(1, 255)),
		HSLColor.New(Utils.RandomInteger(1, 255), Utils.RandomInteger(1, 255), Utils.RandomInteger(145, 155)),
		HSLColor.New(Utils.RandomInteger(88, 98), Utils.RandomInteger(188, 198), Utils.RandomInteger(160, 170)),
		HSLColor.New(Utils.RandomInteger(205, 215), Utils.RandomInteger(150, 160), Utils.RandomInteger(137, 241)),
		HSLColor.New(Utils.RandomInteger(70, 80), Utils.RandomInteger(190, 200), Utils.RandomInteger(185, 195)),
		HSLColor.New(Utils.RandomInteger(110, 120), Utils.RandomInteger(1, 255), Utils.RandomInteger(140, 150)),
		HSLColor.New(Utils.RandomInteger(10, 20), Utils.RandomInteger(33, 144), Utils.RandomInteger(135, 155)),
		HSLColor.New(Utils.RandomInteger(6, 16), Utils.RandomInteger(195, 205), Utils.RandomInteger(1, 255)),
		HSLColor.New(Utils.RandomInteger(1, 255), Utils.RandomInteger(245, 255), Utils.RandomInteger(99, 220)),
		HSLColor.New(Utils.RandomInteger(10, 20), Utils.RandomInteger(120, 130), Utils.RandomInteger(160, 170)),
		HSLColor.New(Utils.RandomInteger(25, 35), Utils.RandomInteger(216, 226), Utils.RandomInteger(177, 187)),
		HSLColor.New(Utils.RandomInteger(220, 230), Utils.RandomInteger(1, 255), Utils.RandomInteger(230, 240)),
		HSLColor.New(Utils.RandomInteger(188, 244), Utils.RandomInteger(101, 244), Utils.RandomInteger(136, 152)),
		HSLColor.New(Utils.RandomInteger(1, 255), Utils.RandomInteger(1, 255), Utils.RandomInteger(1, 255))
	}
	RandomMixedMainColors = RandomColorTypes[Utils.RandomInteger(1, 16)] 
----------------------------------------------------------------------------
	DamagedComputerMissionTextColor = Utils.Random({ HSLColor.LawnGreen, HSLColor.LimeGreen, HSLColor.LightGreen, HSLColor.Green, HSLColor.DarkGreen })
----------------------------------------------------------------------------
	RandomMainColor = Utils.Random({ HSLColor.Yellow, HSLColor.LightYellow, HSLColor.Orange, HSLColor.DarkOrange, HSLColor.Red, HSLColor.OrangeRed, HSLColor.DarkRed, HSLColor.Blue, HSLColor.LightBlue, HSLColor.DarkBlue, HSLColor.Gray, HSLColor.LightGray, HSLColor.DarkGray, HSLColor.Green, HSLColor.LawnGreen, HSLColor.LimeGreen, HSLColor.LightGreen, HSLColor.DarkGreen, HSLColor.Cyan, HSLColor.LightCyan, HSLColor.DarkCyan, HSLColor.Lime, HSLColor.Aqua, HSLColor.Fuchsia, HSLColor.Gold, HSLColor.Brown, HSLColor.Magenta, HSLColor.Maroon, HSLColor.Navy, HSLColor.Olive, HSLColor.Purple, HSLColor.Salmon, HSLColor.SkyBlue, HSLColor.Teal, HSLColor.White })
----------------------------------------------------------------------------
	Trigger.AfterDelay(1.23, function() ColorTick() end)
end
----------------------------------------------------------------------------

